Skip to content

Regenerate the Report ​

http
POST /api/v2/nm-report/downloads/retry

Base URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Seller Analytics CSV · Specification doc ↗

The method creates a repeated generation task of report with advanced seller analytics. This is necessary if you received the status FAILED when generating the report.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min3 requests20 s3 requests
Service1 min3 requests20 s3 requests
Base with secret1 min3 requests20 s3 requests
Base1 h1 request1 h1 request

Request body ​

application/json — schema NmReportRetryReportRequest, required

  • downloadId string<uuid> — Report ID

Responses ​

CodeDescriptionSchema
200SuccessNmReportRetryReportResponse
400Bad requestPostV2NmReportDownloadsRetryResponse400
401Unauthorizedobject
403Access deniedErrorObject
429Too many requestsobject

Structure 200:

  • data string — Notification that report re-generation has started

Structure 400:

  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — WB internal service ID

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 403:

  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — WB internal service ID

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi

cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))

result = api.post_v2_nm_report_downloads_retry(nm_report_retry_report_request=...)
print(result)
ts
import {
  Configuration,
  AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);

const { data } = await api.postV2NmReportDownloadsRetry(nmReportRetryReportRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)

cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)

result, _, err := client.AnalyticsAPI.PostV2NmReportDownloadsRetry(context.Background()).NmReportRetryReportRequest(nmReportRetryReportRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);

System.out.println(api.postV2NmReportDownloadsRetry(nmReportRetryReportRequest));
php
use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);

print_r($api->postV2NmReportDownloadsRetry($nm_report_retry_report_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);

Сообщить(Клиент.PostV2NmReportDownloadsRetry(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);

Console.WriteLine(api.PostV2NmReportDownloadsRetry(nmReportRetryReportRequest));
rust
use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = analytics_api::post_v2_nm_report_downloads_retry(&cfg, nm_report_retry_report_request).await;
    println!("{:#?}", result);
}